Subject: Re: two aty128 frame buffers?

From: Michel Dänzer <[email-masked]>
Date: 05 Feb 2002 10:28:33 +0100

On Die, 2002-02-05 at 07:22, Jeffery von Ronne wrote:
> 
> On Tue, Feb 05, 2002 at 02:21:27PM +0900, Kaoru Fukui wrote:
> > Add drm in Section Module
> 
> Thanks.  I should have been able to figure that out.
> 
> Unfortunately, that was not my real problem.  I guess I forgot to mention
> that it crashes with a "signal 11" after the error message; now it crashes
> with a signal 11 and no error message.

You need a hack like the attached one.

-- 
Earthling Michel Dänzer (MrCooper)/ Debian GNU/Linux (powerpc) developer
XFree86 and DRI project member   /  CS student, Free Software enthusiast
Index: r128_driver.c
===================================================================
RCS file: /cvs/xc/programs/Xserver/hw/xfree86/drivers/ati/r128_driver.c,v
retrieving revision 1.57
diff -u -r1.57 r128_driver.c
--- r128_driver.c	2002/01/04 21:22:26	1.57
+++ r128_driver.c	2002/02/05 09:24:32
@@ -186,6 +186,7 @@
     "vgaHWGetIndex",
     "vgaHWLock",
     "vgaHWRestore",
+    "vgaHWGetIOBase",
     "vgaHWSave",
     "vgaHWUnlock",
     NULL
@@ -1793,6 +1794,8 @@
 	return FALSE;
     }
 
+    vgaHWGetIOBase(VGAHWPTR(pScrn));
+
     info->PciInfo      = xf86GetPciInfoForEntity(info->pEnt->index);
     info->PciTag       = pciTag(info->PciInfo->bus,
 				info->PciInfo->device,
@@ -2755,7 +2758,10 @@
 	return;
     }
     vgaHWUnlock(hwp);
-    vgaHWSave(pScrn, &hwp->SavedReg, VGA_SR_ALL); /* save mode, fonts, cmap */
+    if (info->VBIOS)
+        vgaHWSave(pScrn, &hwp->SavedReg, VGA_SR_ALL); /* save mode, fonts, cmap */
+    else
+        vgaHWSave(pScrn, &hwp->SavedReg, VGA_SR_MODE); /* save mode */
     vgaHWLock(hwp);
 
     R128SaveMode(pScrn, save);